﻿@model OperationalRiskException.Core.ViewModels.QuestionVM
@{
    Layout = null;
}

<div class="modal-header">
    <h4 class="modal-title">Update Question Category</h4>
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
</div>
<div class="modal-body">
    <form name="updateCategoryForm">
        @if (Model != null && Model.QuestionId > 0)
        {
            @Html.HiddenFor(a => a.QuestionId)
        }


        @Html.HiddenFor(m => m.QuestionType, new { Value = "0" })

        <div class="form-group col-md-12">
            <label for="exampleInputUsername1">Question  Text</label>
            <div class="row col-md-6">
                @Html.TextAreaFor(m => m.QuestionText, new { @class = "form-control", @placeholder = "Add Question" })
                @Html.ValidationMessageFor(model => model.QuestionText, null, new { @class = "text text-danger" })
            </div>
        </div>

        <div class="form-group col-md-12">
            <label for="exampleInputUsername1">Question Answer</label>
            <div class="row col-md-6">
                @Html.EditorFor(model => model.NumericAnswer, new { htmlAttributes = new { @type = "number", @min = "0", @step = "0.01", @value = "0", @class = "form-control", @placeholder = "Numeric Question Answer" } })
                @* @Html.TextAreaFor(m => m.NumericAnswer, new { type = "number", min = "0", step = "0.01", @class = "form-control", @placeholder = "Numeric Question Answer" })*@
                @Html.ValidationMessageFor(model => model.NumericAnswer, null, new { @class = "text text-danger" })
            </div>
        </div>
        <div class="form-group col-md-12">
            <label for="exampleInputUsername1"> Select Category</label>
            <div class="row col-md-6">
                @Html.DropDownListFor(m => m.CategoryId, new SelectList(ViewBag.Categories, "CategoryId", "CategoriesName"), new { @class = "form-control", @placeholder = "Add Question" })
                @Html.ValidationMessageFor(model => model.CategoryId, null, new { @class = "text text-danger" })
            </div>
        </div>

    </form>
</div>
<div class="modal-footer">
    <input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel">
    <button class="btn btn-danger" onclick="updateRecordNumeric()">Update</button>
</div>